## org.eclipse.datatools.modelbase.sql.constraints.impl
Class ForeignKeyImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
                  org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
                      org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl
                          org.eclipse.datatools.modelbase.sql.constraints.impl.ForeignKeyImpl

All Implemented Interfaces:
  Constraint, ForeignKey, ReferenceConstraint, TableConstraint, SQLObject

Direct Known Subclasses:
  JDBCForeignKey

    public class ForeignKeyImpl

extends ReferenceConstraintImpl
implements ForeignKey

An implementation of the model object 'Foreign Key'.

The following features are implemented:

- `Match`
- `On Update`
- `On Delete`
- `Unique Constraint`
- `Referenced Members`
- `Unique Index`
- `Referenced Table`

Method Summary
`BaseTable` `basicGetReferencedTable()`
`UniqueConstraint` `basicGetUniqueConstraint()`
`Index` `basicGetUniqueIndex()`
`NotificationChain` `basicSetReferencedTable(BaseTable newReferencedTable, NotificationChain msgs)`
`NotificationChain` `basicSetUniqueConstraint(UniqueConstraint newUniqueConstraint, NotificationChain msgs)`
`NotificationChain` `basicSetUniqueIndex(Index newUniqueIndex, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`MatchType` `getMatch()`
`ReferentialActionType` `getOnDelete()`
`ReferentialActionType` `getOnUpdate()`
`EList` `getReferencedMembers()`
`BaseTable` `getReferencedTable()`
`UniqueConstraint` `getUniqueConstraint()`
`Index` `getUniqueIndex()`
`void` `setMatch(MatchType newMatch)`
`void` `setOnDelete(ReferentialActionType newOnDelete)`
`void` `setOnUpdate(ReferentialActionType newOnUpdate)`
`void` `setReferencedTable(BaseTable newReferencedTable)`
`void` `setUniqueConstraint(UniqueConstraint newUniqueConstraint)`
`void` `setUniqueIndex(Index newUniqueIndex)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl
`getMembers`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
`basicSetBaseTable, eBasicRemoveFromContainerFeature, getBaseTable, setBaseTable`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getMatch

    public MatchType getMatch()

  Specified by:
    `getMatch` in interface `ForeignKey`
  Returns:
    the value of the 'Match' attribute.
  See Also:
    `MatchType`, `ForeignKey.setMatch(MatchType)`, `SQLConstraintsPackage.getForeignKey_Match()`

### setMatch

    public void setMatch(MatchType newMatch)

  Specified by:
    `setMatch` in interface `ForeignKey`
  Parameters:
    `newMatch` - the new value of the 'Match' attribute.
  See Also:
    `MatchType`, `ForeignKey.getMatch()`

### getOnUpdate

    public ReferentialActionType getOnUpdate()

  Specified by:
    `getOnUpdate` in interface `ForeignKey`
  Returns:
    the value of the 'On Update' attribute.
  See Also:
    `ReferentialActionType`, `ForeignKey.setOnUpdate(ReferentialActionType)`, `SQLConstraintsPackage.getForeignKey_OnUpdate()`

### setOnUpdate

    public void setOnUpdate(ReferentialActionType newOnUpdate)

  Specified by:
    `setOnUpdate` in interface `ForeignKey`
  Parameters:
    `newOnUpdate` - the new value of the 'On Update' attribute.
  See Also:
    `ReferentialActionType`, `ForeignKey.getOnUpdate()`

### getOnDelete

    public ReferentialActionType getOnDelete()

  Specified by:
    `getOnDelete` in interface `ForeignKey`
  Returns:
    the value of the 'On Delete' attribute.
  See Also:
    `ReferentialActionType`, `ForeignKey.setOnDelete(ReferentialActionType)`, `SQLConstraintsPackage.getForeignKey_OnDelete()`

### setOnDelete

    public void setOnDelete(ReferentialActionType newOnDelete)

  Specified by:
    `setOnDelete` in interface `ForeignKey`
  Parameters:
    `newOnDelete` - the new value of the 'On Delete' attribute.
  See Also:
    `ReferentialActionType`, `ForeignKey.getOnDelete()`

### getUniqueConstraint

    public UniqueConstraint getUniqueConstraint()

  Specified by:
    `getUniqueConstraint` in interface `ForeignKey`
  Returns:
    the value of the 'Unique Constraint' reference.
  See Also:
    `ForeignKey.setUniqueConstraint(UniqueConstraint)`, `SQLConstraintsPackage.getForeignKey_UniqueConstraint()`, `UniqueConstraint.getForeignKey()`

### basicGetUniqueConstraint

    public UniqueConstraint basicGetUniqueConstraint()

### basicSetUniqueConstraint

    public NotificationChain basicSetUniqueConstraint(UniqueConstraint newUniqueConstraint,
                                                      NotificationChain msgs)

### setUniqueConstraint

    public void setUniqueConstraint(UniqueConstraint newUniqueConstraint)

  Specified by:
    `setUniqueConstraint` in interface `ForeignKey`
  Parameters:
    `newUniqueConstraint` - the new value of the 'Unique Constraint' reference.
  See Also:
    `ForeignKey.getUniqueConstraint()`

### getReferencedMembers

    public EList getReferencedMembers()

  Specified by:
    `getReferencedMembers` in interface `ForeignKey`
  Returns:
    the value of the 'Referenced Members' reference list.
  See Also:
    `SQLConstraintsPackage.getForeignKey_ReferencedMembers()`

### getUniqueIndex

    public Index getUniqueIndex()

  Specified by:
    `getUniqueIndex` in interface `ForeignKey`
  Returns:
    the value of the 'Unique Index' reference.
  See Also:
    `ForeignKey.setUniqueIndex(Index)`, `SQLConstraintsPackage.getForeignKey_UniqueIndex()`, `Index.getForeignKey()`

### basicGetUniqueIndex

    public Index basicGetUniqueIndex()

### basicSetUniqueIndex

    public NotificationChain basicSetUniqueIndex(Index newUniqueIndex,
                                                 NotificationChain msgs)

### setUniqueIndex

    public void setUniqueIndex(Index newUniqueIndex)

  Specified by:
    `setUniqueIndex` in interface `ForeignKey`
  Parameters:
    `newUniqueIndex` - the new value of the 'Unique Index' reference.
  See Also:
    `ForeignKey.getUniqueIndex()`

### getReferencedTable

    public BaseTable getReferencedTable()

  Specified by:
    `getReferencedTable` in interface `ForeignKey`
  Returns:
    the value of the 'Referenced Table' reference.
  See Also:
    `ForeignKey.setReferencedTable(BaseTable)`, `SQLConstraintsPackage.getForeignKey_ReferencedTable()`, `BaseTable.getReferencingForeignKeys()`

### basicGetReferencedTable

    public BaseTable basicGetReferencedTable()

### basicSetReferencedTable

    public NotificationChain basicSetReferencedTable(BaseTable newReferencedTable,
                                                     NotificationChain msgs)

### setReferencedTable

    public void setReferencedTable(BaseTable newReferencedTable)

  Specified by:
    `setReferencedTable` in interface `ForeignKey`
  Parameters:
    `newReferencedTable` - the new value of the 'Referenced Table' reference.
  See Also:
    `ForeignKey.getReferencedTable()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TableConstraintImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TableConstraintImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `ReferenceConstraintImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `ReferenceConstraintImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `ReferenceConstraintImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `ReferenceConstraintImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ConstraintImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.